For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all links for a product group.

List all links for a product group.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
productGroupUidstringRequired

Reference to a ProductGroup.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
productGroupLinkTypestring · enumOptional

Reference to a productGroupLinkType.

Possible values:
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/product-groups/{productGroupUid}/links
GET /v2/tenants/{tenantUid}/product-groups/{productGroupUid}/links HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "productGroupLinkUid": "text",
      "linkType": "INSURANCE",
      "productUid": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?